Author: Jordi Mallach <jordi@debian.org>
Description: Disable some tests that need special system facilities if running in short mode.

--- a/feed/atom/atom_test.go
+++ b/feed/atom/atom_test.go
@@ -73,6 +73,10 @@
 
 // Test getting a feed.
 func TestGet(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Network test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	u, _ := url.Parse("http://rss.golem.de/rss.php?feed=ATOM1.0")
 	f, err := atom.Get(u)
--- a/feed/rss/rss_test.go
+++ b/feed/rss/rss_test.go
@@ -119,6 +119,10 @@
 
 // Test getting a doc.
 func TestGet(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Network test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	u, _ := url.Parse("http://www.rssboard.org/files/sample-rss-2.xml")
 	r, err := rss.Get(u)
--- a/logger/logger_test.go
+++ b/logger/logger_test.go
@@ -152,6 +152,10 @@
 
 // TestSysLogger tests logging with the syslogger.
 func TestSysLogger(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Network test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	level := logger.Level()
 	defer logger.SetLevel(level)
--- a/redis/redis_test.go
+++ b/redis/redis_test.go
@@ -25,6 +25,10 @@
 //--------------------
 
 func TestUnixSocketConnection(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert, redis.UnixConnection("", 0))
 	defer restore()
@@ -50,6 +54,10 @@
 }
 
 func TestTcpConnection(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert, redis.TcpConnection("", 0))
 	defer restore()
@@ -75,6 +83,10 @@
 }
 
 func TestPipelining(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	ppl, restore := pipelineDatabase(assert)
 	defer restore()
@@ -129,6 +141,10 @@
 }
 
 func TestConcurrency(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	db, err := redis.Open(redis.UnixConnection("", 0), redis.PoolSize(5))
 	assert.Nil(err)
--- a/redis/commands_test.go
+++ b/redis/commands_test.go
@@ -25,6 +25,10 @@
 //--------------------
 
 func TestSimpleKeyOperations(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -82,6 +86,10 @@
 }
 
 func TestScan(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -119,6 +127,10 @@
 }
 
 func TestHash(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -156,6 +168,10 @@
 }
 
 func TestHScan(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -195,6 +211,10 @@
 }
 
 func TestList(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -209,6 +229,10 @@
 }
 
 func TestSet(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -230,6 +254,10 @@
 }
 
 func TestSScan(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -266,6 +294,10 @@
 }
 
 func TestSortedSet(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -288,6 +320,10 @@
 }
 
 func TestZScan(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -327,6 +363,10 @@
 }
 
 func TestTransactionConnection(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -382,6 +422,10 @@
 }
 
 func TestTransactionPipeline(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, connRestore := connectDatabase(assert)
 	defer connRestore()
@@ -416,6 +460,10 @@
 }
 
 func TestTransactionPipelineWatch(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	sigC := audit.MakeSigChan()
 	// Background tasks.
@@ -447,6 +495,10 @@
 }
 
 func TestScripting(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, restore := connectDatabase(assert)
 	defer restore()
@@ -484,6 +536,10 @@
 }
 
 func TestPubSub(t *testing.T) {
+	if testing.Short() {
+		t.Skip("Redis test skipped in short mode")
+	}
+
 	assert := audit.NewTestingAssertion(t, true)
 	conn, connRestore := connectDatabase(assert)
 	defer connRestore()
